@REM ----------------------------------------------------------------------------
@REM Licensed to the Apache Software Foundation (ASF) under one or more
@REM contributor license agreements.  See the NOTICE file distributed with
@REM this work for additional information regarding copyright ownership.
@REM The ASF licenses this file to You under the Apache License, Version 2.0
@REM (the "License"); you may not use this file except in compliance with
@REM the License.  You may obtain a copy of the License at
@REM 
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM 
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM 

@echo off
REM Copy an artifact to the repository
REM %1 : artifact to copy
REM %2 : project id
REM %3 : artifact type
REM %4 : user name on remote box

SET ARTIFACT=%1
SET ID=%2
SET ARTIFACT_TYPE=%3
SET USER=%4
SET REPO=login.ibiblio.org
SET DIR=/public/html/maven/%ID%/%ARTIFACT_TYPE%

echo %DIR%

REM Make sure the target directory is present.
ssh %USER%@%REPO% "mkdir -p %DIR%"

REM Copy the artifact to the repository.
scp %ARTIFACT% %USER%@%REPO%:%DIR%

REM Make sure the perms are correct. Just in case
ssh %USER%@%REPO% "chmod 664 %DIR%/%ARTIFACT%; chgrp maven %DIR%/%ARTIFACT%; cd %DIR%; md5sum %ARTIFACT% | sed 's/ .*$//' > %ARTIFACT%.md5"
Echo Making sure the perms are correct on the md5
ssh %USER%@%REPO% "chmod 664 %DIR%/%ARTIFACT%.md5; chgrp maven %DIR%/%ARTIFACT%.md5"
