@REM ----------------------------------------------------------------------------
@REM Licensed to the Apache Software Foundation (ASF) under one or more
@REM contributor license agreements.  See the NOTICE file distributed with
@REM this work for additional information regarding copyright ownership.
@REM The ASF licenses this file to You under the Apache License, Version 2.0
@REM (the "License"); you may not use this file except in compliance with
@REM the License.  You may obtain a copy of the License at
@REM 
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM 
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM 

@Echo off
@Rem Deploy JAR to the repository
@Rem %1 : artifact to copy, e.g. commons-jelly-tags-bewtixt-1.0-beta4.jar
@Rem %2 : project/group id, e.g. commons-jelly
@Rem %3 : artifact id, or user id if no artifact id is needed, e.g. commons-jelly-tags-betwixt
@Rem %4 : user id, or nothing if no artifact id is needed , e.g. diongillard

Set ARTIFACT=%1
Set GROUPID=%2
Set ARTIFACTID=%3
Set USER=%4

If "%4" == "" Set USER=%3
If "%4" == "" Set ARTIFACTID=%GROUPID%

Set REPO=login.ibiblio.org
Set DIR=/public/html/maven/%GROUPID%/%ARTIFACT_TYPE%
Set SNAPSHOTFILE=%ARTIFACTID%-SNAPSHOT.jar

@REM The following only works on NT/2000 shells
Call %~dp0\deploy-jar %ARTIFACT% %GROUPID% %USER%

Echo Setting up the snapshot link
ssh %USER%@%REPO% "cd %DIR%; ln -sf %ARTIFACT% %SNAPSHOTFILE%; ln -sf %ARTIFACT%.md5 %SNAPSHOTFILE%.md5"
