package org.apache.maven.util;

/* ====================================================================
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements.  See the NOTICE file distributed with
 *   this work for additional information regarding copyright ownership.
 *   The ASF licenses this file to You under the Apache License, Version 2.0
 *   (the "License"); you may not use this file except in compliance with
 *   the License.  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import junit.framework.TestCase;

/**
 * @author Ben Walding
 *
 */
public class DVSLFormatterTest
    extends TestCase
{

    public void testFormatNumberSimple()
    {
        testFormat( "1", "1", "0" );
        //        testFormat("1.0", "1", "0.0");
        //        testFormat("1.00", "1", "0.00");
        //        testFormat("1.000", "1", "0.000");
        //        testFormat("1.0000", "1", "0.0000");
        //
        //        testFormat("1.10", "1.10", "0.00");
        //        testFormat("1.100", "1.1000", "0.000");
        //        testFormat("1.123", "1.1234", "0.000");
        //        testFormat("1.1234", "1.1234", "0.0000");
    }

    public void testFormatNumberNegative()
    {
        testFormat( "-1", "-1", "0" );
        //        testFormat("-1.0", "-1", "0.0");
        //        testFormat("-1.00", "-1", "0.00");
        //        testFormat("-1.000", "-1", "0.000");
        //        testFormat("-1.0000", "-1", "0.0000");
        //
        //        testFormat("-1.10", "-1.10", "0.00");
        //        testFormat("-1.100", "-1.1000", "0.000");
        //        testFormat("-1.123", "-1.1234", "0.000");
        //        testFormat("-1.1234", "-1.1234", "0.0000");
    }

    public void testFormatNumberPercent()
    {
        testFormat( "100%", "1", "0%" );
        //        testFormat("100.0%", "1", "0.0%");
        //        testFormat("100.00%", "1", "0.00%");
        //        testFormat("100.000%", "1", "0.000%");
        //        testFormat("100.0000%", "1", "0.0000%");
        //
        //        testFormat("-110.00%", "-1.10", "0.00%");
        //        testFormat("-110.000%", "-1.1000", "0.000%");
        //        testFormat("-112.340%", "-1.1234", "0.000%");
        //        testFormat("-112.3400%", "-1.1234", "0.0000%");

        testFormat( "-100%", "-1", "0%" );
        //        testFormat("-100.0%", "-1", "0.0%");
        //        testFormat("-100.00%", "-1", "0.00%");
        //        testFormat("-100.000%", "-1", "0.000%");
        //        testFormat("-100.0000%", "-1", "0.0000%");
        //
        //        testFormat("-110.00%", "-1.10", "0.00%");
        //        testFormat("-110.000%", "-1.1000", "0.000%");
        //        testFormat("-112.340%", "-1.1234", "0.000%");
        //        testFormat("-112.3400%", "-1.1234", "0.0000%");
    }

    protected void testFormat( String expected, String value, String pattern )
    {
        String actual = DVSLFormatter.formatNumber( value, pattern );
        String function = "DVSLFormatter.formatNumber(" + value + "," + pattern + ")";
        if ( !actual.equals( expected ) )
        {
            System.out.println( function + "  Actual: " + actual + ", Expected: " + expected );
        }
        assertEquals( function, expected, actual );
    }

}
