package org.apache.maven.util;

/* ====================================================================
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements.  See the NOTICE file distributed with
 *   this work for additional information regarding copyright ownership.
 *   The ASF licenses this file to You under the Apache License, Version 2.0
 *   (the "License"); you may not use this file except in compliance with
 *   the License.  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import java.io.File;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * @author <a href="mailto:jason@zenplex.com">Jason van Zyl</a>
 * @version $Id: MD5SumTest.java 517014 2007-03-11 21:15:50Z ltheussl $
 */

public class MD5SumTest
    extends TestCase
{
    /**
     * Create the test with the given name
     *
     * @param testName the name of the test
     */
    public MD5SumTest( String testName )
    {
        super( testName );
    }

    /**
     * @return the suite of tests being tested
     */
    public static Test suite()
    {
        return new TestSuite( MD5SumTest.class );
    }

    /**
     */
    public void testSum()
        throws Exception
    {
        MD5Sum md5 = new MD5Sum();
        String basedir = System.getProperty( "basedir" );
        assertNotNull( "basedir not provided", basedir );
        md5.setFile( new File( basedir + "/src/test/checksum/input.jar" ) );
        md5.execute();
        String checksum = md5.getChecksum();

        assertEquals( "627ce116c350da6fee656177b2af86eb", checksum );
    }
}
